use cgmath::Point2;

#[derive(Debug, Clone, Copy)]
pub struct Camera {
	/// Camera center
	pub pos: Point2<f32>,

	/// Camera zoom
	/// (How many game units tall is the viewport?)
	pub zoom: f32,

	/// Aspect ratio of viewport (width / height)
	pub aspect: f32,
}
