//! This module handles all game data: ship damage, outfit stats, etc.
//!
//! The code here handles game *data* exclusively: it keeps track of the status
//! of every ship in the game, but it has no understanding of physics.
//! That is done in `galactica_world`.

mod gamedata;
mod handles;
pub mod ship;
mod system;

pub use gamedata::*;
pub use handles::*;
pub use system::{System, SystemObject};
