use cgmath::{Point3, Rad};
use galactica_content as content;

// TODO: rework

pub struct System {
	pub name: String,
	pub bodies: Vec<SystemObject>,
}

impl System {
	pub fn new(ct: &content::Content, handle: content::SystemHandle) -> Self {
		let sys = ct.get_system(handle);
		let mut s = System {
			name: sys.name.clone(),
			bodies: Vec::new(),
		};

		for o in &sys.objects {
			s.bodies.push(SystemObject {
				pos: o.position,
				sprite: o.sprite,
				size: o.size,
				angle: o.angle,
			});
		}

		return s;
	}
}

pub struct SystemObject {
	pub sprite: content::SpriteHandle,
	pub pos: Point3<f32>,
	pub size: f32,
	pub angle: Rad<f32>,
}
